GridGain Community Edition

Expand all | Collapse all

Gridgain 8.7.16 and apache ignite 2.8.x

  • 1.  Gridgain 8.7.16 and apache ignite 2.8.x

    Posted 10-07-2020 03:10 PM
    Hello,

    I have some node clients running gridgain 8.7.16, I need they could talk to a apache ignite server. Which verson of apache ignite should I use? maybe 2.8.1?

    ------------------------------
    Roberto Rossi
    java developer
    private
    ------------------------------


  • 2.  RE: Gridgain 8.7.16 and apache ignite 2.8.x

    Posted 10-08-2020 12:42 AM
    Hello!

    Thick client nodes will not be able to work with Apache Ignite server nodes.

    Thin clients should work OK in the 8.7.16 <-> 2.8.1 combination.

    Regards,

    ------------------------------
    Ilya Kasnacheev
    Community Support Specialist
    GridGain
    ------------------------------



  • 3.  RE: Gridgain 8.7.16 and apache ignite 2.8.x

    Posted 10-09-2020 09:25 AM
    I get thiis error with clientmode=false e also with clientmode=true
    Failed to start manager: GridManagerAdapter
    caused by: class org.apache.ignite.spi.IgniteSpiException
    locale node's grid security processor class is not equal to remote node's grid security processor [.... localCls=org......NoOpIgniteSecurityProcessor, rmtCls=undefined]

    ------------------------------
    Roberto Rossi
    java developer
    private
    ------------------------------



  • 4.  RE: Gridgain 8.7.16 and apache ignite 2.8.x

    Posted 10-09-2020 09:41 AM
    Hello!

    It is an error from thick client node. Thick client nodes of GridGain will not work with Apache Ignite clusters or vice versa.

    Use the same flavor of client as server nodes.

    Regards,

    ------------------------------
    Ilya Kasnacheev
    Community Support Specialist
    GridGain
    ------------------------------